#ifndef CALIB1_AC2_EVENT_H
#define CALIB1_AC2_EVENT_H

#include "SubPacket.h"

namespace pamela {
  /**
   * Calib1_Ac2Event data Wrapper.
   * 
   * The pamela::Calib1_Ac2Event represents the Calib1_Ac2 packet generated by the PAMELA CPU software.
   */
  class Calib1_Ac2Event: public pamela::SubPacket {
  private:
  
  public:
/**
     * The header of ???.
     * Each element represent ......etc..etc..
     */   
    UINT16 header[2]; 

    /**
     * The status of ???.
     * Each element represent ......etc..etc..
     */   
    UINT16 status[5];

    // and so on......
    UINT16 temp[8];
    UINT16 DAC1[8];
    UINT16 DAC2[8];
    UINT16 regist[6];
    UINT16 time[8];
    UINT16 n_tr;
    UINT16 hitmap_tr[16];
    UINT16 curve1[4096];
    UINT16 curve2[4096];
    UINT16 iCRC;
    UINT16 tail;
    UINT16 CRC;
    UINT16 CRCcheck;
    UINT16 ERROR;
    
    Calib1_Ac2Event(void);
    
    ClassDef(Calib1_Ac2Event, 2)
  };
}

#endif /* CALIB1_AC2_EVENT_H */

